import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3'

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({worldAtlas: { land, interiors}, data, sizeScale, sizeValue}) => (
  		<>
          <g className="marks">
            <path className="sphere" d={path({type: 'Sphere'})} />
            <path className="graticule" d={path(graticule())} />
            {
               land.features.map(country => (
                  <path className="land" d={path(country)} >
                   <title>{country.properties.name}</title>
                   </path>
               ))        
            }
            <path className="interiors" d={path(interiors)} />
          </g>
          {data && data.map(d => {
      			const [x, y] = projection(d.coords);
      			return (
                <g>
                    <circle 
                      className="mark" 
                      cx={x} 
                      cy={y} 
                      r={sizeScale(sizeValue(d))} 
                      fill={'black'}
                    >
                      <title>{d.city}</title>
                     </circle>
                </g>
              );
    			})}  
    	</>
);